const path = require('path');
const fs = require('fs');
const webpack = require('webpack');
const t = require('util').format;
const env = process.env;

const manifest = require('./package.json');
const VERSION = manifest.version;

const PROJECT_ROOT = __dirname;
const SRC = `${PROJECT_ROOT}/src`;

module.exports = {
  entry: [
    `${SRC}/index.js`
  ],
  output: {
    filename: 'itc-foundation.min.js',
    path: `${PROJECT_ROOT}/dist`,
  },

  module: {
    loaders: [
      {
        test: /\.js$/,
        loader: 'babel',
        exclude: /node_modules/,
      },
    ],
  },
  resolve: {
    root: [path.resolve(__dirname, `${SRC}`), path.resolve(__dirname, 'node_modules')]
  },
  plugins: [
    new webpack.optimize.UglifyJsPlugin({compress: {warnings: false}}),
    new webpack.DefinePlugin({
      'process.env': {
        'NODE_ENV': 'production',
      }
    }),
  ],
};
